> ## Documentation Index
> Fetch the complete documentation index at: https://docs.catenatelematics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Data Freshness

> Get a summary of data freshness for a fleet's telematics connections.



## OpenAPI

````yaml https://api.catenatelematics.com/v2/integrations/openapi.json get /v2/integrations/connections/data-freshness
openapi: 3.1.0
info:
  title: Telematics Integrations Service - REST API
  description: Integrations Service REST API.
  version: 0.1.0
servers:
  - url: https://api.catenatelematics.com
    description: Catena Telematics API
security: []
tags:
  - name: Connections
    description: >-
      Endpoints for managing connections between Fleets and TSPs, including
      their nested schedules and executions. A connection has schedules, and
      each schedule has executions.
  - name: TSP Integrations
    description: Endpoints to view TSPs and their integration support status per resource.
paths:
  /v2/integrations/connections/data-freshness:
    get:
      tags:
        - Connections
      summary: Get Data Freshness
      description: Get a summary of data freshness for a fleet's telematics connections.
      operationId: get_data_freshness
      parameters:
        - name: fleet_ids
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                  format: uuid
                maxItems: 100
              - type: 'null'
            description: >-
              Limit results to specific fleets. **Maximum:** 100 IDs. To specify
              multiple values, repeat the parameter for each value (e.g.,
              `?fleet_ids=id1&fleet_ids=id2`).
            title: Fleet Ids
          description: >-
            Limit results to specific fleets. **Maximum:** 100 IDs. To specify
            multiple values, repeat the parameter for each value (e.g.,
            `?fleet_ids=id1&fleet_ids=id2`).
        - name: fleet_refs
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  type: string
                maxItems: 100
              - type: 'null'
            description: >-
              Limit results to specific fleet references. **Maximum:** 100
              references. To specify multiple values, repeat the parameter for
              each value (e.g., `?fleet_refs=ref1&fleet_refs=ref2`).
            title: Fleet Refs
          description: >-
            Limit results to specific fleet references. **Maximum:** 100
            references. To specify multiple values, repeat the parameter for
            each value (e.g., `?fleet_refs=ref1&fleet_refs=ref2`).
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/DataFreshness'
                title: Response Get Data Freshness
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequest'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Forbidden'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFound'
          description: Not Found
        '405':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MethodNotAllowed'
          description: Method Not Allowed
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Conflict'
          description: Conflict
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnprocessableEntity'
          description: Unprocessable Entity
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TooManyRequests'
          description: Too Many Requests
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
          description: Internal Server Error
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GatewayTimeout'
          description: Gateway Timeout
      security:
        - Bearer:
            - connection:read
components:
  schemas:
    DataFreshness:
      properties:
        resource:
          $ref: '#/components/schemas/ResourceEnum'
          title: Resource Type
          description: The telematics resource type this entry describes.
        share_level:
          anyOf:
            - $ref: '#/components/schemas/ShareLevelEnum'
            - type: 'null'
          title: Share Level
          description: The permission level granted by the fleet for this resource.
        fleet_id:
          type: string
          format: uuid
          title: Fleet ID
          description: Unique identifier of the fleet this freshness record applies to.
        fleet_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Fleet Reference
          description: Partner's reference for the fleet in their system.
        connection_id:
          type: string
          format: uuid
          title: Connection ID
          description: >-
            Unique identifier of the telematics provider connection that
            supplies this resource's data.
        connection_description:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Description
          description: >-
            Optional user-provided description of the connection. Useful when
            the fleet has multiple accounts with the same TSP.
        schedule_id:
          type: string
          format: uuid
          title: Schedule ID
          description: >-
            Unique identifier of the schedule that controls automatic data
            fetching for this resource.
        source_name:
          type: string
          title: Telematics Provider
          description: Name of the telematics provider (e.g., geotab, samsara, motive).
        tsp_id:
          type: string
          format: uuid
          title: TSP ID
          description: >-
            Unique identifier of the telematics service provider (TSP) at
            Catena.
        tsp_slug:
          type: string
          title: TSP Slug
          description: >-
            Human-readable identifier of the telematics service provider (TSP)
            at Catena.
        last_successful_execution_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Last Successful Execution
          description: >-
            Timestamp of the most recent successful data fetch from the
            telematics provider for this resource. This is the primary
            data-freshness indicator. Null means no data has been fetched yet.
        next_execution_at:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Next Scheduled Execution
          description: Timestamp of the next automatic data fetch.
        schedule_status:
          anyOf:
            - $ref: '#/components/schemas/ScheduleStatusEnum'
            - type: 'null'
          title: Schedule Status
          description: Current state of the automatic data-fetch schedule.
      type: object
      required:
        - resource
        - fleet_id
        - connection_id
        - schedule_id
        - source_name
        - tsp_id
        - tsp_slug
        - last_successful_execution_at
        - next_execution_at
        - schedule_status
      title: DataFreshness
      description: >-
        Freshness and scheduling details for a single resource type within a
        share agreement.
      example:
        connection_description: My fleet ELD connection
        connection_id: 123e4567-e89b-12d3-a456-426614174000
        fleet_id: 123e4567-e89b-12d3-a456-426614173999
        fleet_ref: my-fleet-ref
        last_successful_execution_at: '2024-01-01T12:00:00Z'
        next_execution_at: '2024-01-01T13:00:00Z'
        resource: vehicle
        schedule_id: 123e4567-e89b-12d3-a456-426614174002
        schedule_status: active
        share_level: read_write
        source_name: geotab
        tsp_id: 123e4567-e89b-12d3-a456-426614174001
        tsp_slug: geotab
    BadRequest:
      properties:
        code:
          type: integer
          title: Code
          default: 400
        message:
          type: string
          title: Message
          default: Bad Request
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: BadRequest
    Unauthorized:
      properties:
        code:
          type: integer
          title: Code
          default: 401
        message:
          type: string
          title: Message
          default: Unauthorized
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Unauthorized
    Forbidden:
      properties:
        code:
          type: integer
          title: Code
          default: 403
        message:
          type: string
          title: Message
          default: Forbidden
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Forbidden
    NotFound:
      properties:
        code:
          type: integer
          title: Code
          default: 404
        message:
          type: string
          title: Message
          default: Not Found
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: NotFound
    MethodNotAllowed:
      properties:
        code:
          type: integer
          title: Code
          default: 405
        message:
          type: string
          title: Message
          default: Method Not Allowed
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: MethodNotAllowed
    Conflict:
      properties:
        code:
          type: integer
          title: Code
          default: 409
        message:
          type: string
          title: Message
          default: Conflict
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: Conflict
    UnprocessableEntity:
      properties:
        code:
          type: integer
          title: Code
          default: 422
        message:
          type: string
          title: Message
          default: Invalid Request Body
        detail:
          anyOf:
            - items:
                $ref: '#/components/schemas/ValidationErrorDetail'
              type: array
            - type: 'null'
          title: Detail
      type: object
      title: UnprocessableEntity
    TooManyRequests:
      properties:
        code:
          type: integer
          title: Code
          default: 429
        message:
          type: string
          title: Message
          default: Too Many Requests
        detail:
          anyOf:
            - $ref: '#/components/schemas/RetryAfterDetail'
            - type: 'null'
      type: object
      title: TooManyRequests
    InternalServerError:
      properties:
        message:
          type: string
          title: Message
          default: Internal Server Error
      type: object
      title: InternalServerError
    GatewayTimeout:
      properties:
        code:
          type: integer
          title: Code
          default: 504
        message:
          type: string
          title: Message
          default: Gateway Timeout
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
      type: object
      title: GatewayTimeout
    ResourceEnum:
      type: string
      enum:
        - asset
        - driver_association
        - driver_vehicle_association
        - driver_event_log
        - driver_safety_event
        - dvir_log
        - dvir_log_defect
        - engine_log
        - engine_status
        - fuel_transaction
        - fleet_info
        - hos_availability
        - hos_daily_snapshot
        - hos_event
        - hos_event_annotation
        - hos_event_attachment
        - hos_violation
        - ifta_summary
        - location_segment
        - message
        - group_message
        - user
        - vehicle
        - vehicle_location
        - vehicle_sensor
        - vehicle_region_segment
        - trailer
        - trailer_association
        - trailer_vehicle_association
        - trailer_location
        - trailer_status
        - workflow
      title: ResourceEnum
      description: Enum for resources
    ShareLevelEnum:
      type: string
      enum:
        - read
        - read_write
      title: ShareLevelEnum
      description: Enum for the level of access granted
    ScheduleStatusEnum:
      type: string
      enum:
        - inactive
        - active
        - paused
        - stale
        - deleted
        - cancelled
        - cancelled_insufficient_scope
      title: ScheduleStatusEnum
      description: Enum representing the possible statuses of a schedule.
    ValidationErrorDetail:
      properties:
        path:
          type: string
          title: Path
        input:
          type: string
          title: Input
        message:
          type: string
          title: Message
        error_type:
          type: string
          title: Error Type
      type: object
      required:
        - path
        - input
        - message
        - error_type
      title: ValidationErrorDetail
    RetryAfterDetail:
      properties:
        retry_after_seconds:
          type: integer
          title: Retry After Seconds
        message:
          type: string
          title: Message
      type: object
      required:
        - retry_after_seconds
        - message
      title: RetryAfterDetail
  securitySchemes:
    Bearer:
      type: oauth2
      flows:
        clientCredentials:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
        authorizationCode:
          refreshUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token
          scopes: {}
          authorizationUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/auth
          tokenUrl: >-
            https://auth.catenatelematics.com/realms/catena/protocol/openid-connect/token

````